Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.struts
Class ActionServletAwareProcessor

    java.lang.Object
      org.springframework.web.struts.ActionServletAwareProcessor

All Implemented Interfaces:
  BeanPostProcessor, DestructionAwareBeanPostProcessor

    public class ActionServletAwareProcessor

extends Object
implements DestructionAwareBeanPostProcessor

BeanPostProcessor implementation that passes the ActionServlet to beans that extend the Struts Action class. Invokes `Action.setServlet` with `null on bean destruction, providing the same lifecycle handling as Struts' ActionServlet.`

ContextLoaderPlugIn automatically registers this processor with the underlying bean factory of its WebApplicationContext. Applications do not need to use this class directly.

Since:
  1.0.1
Author:
  Juergen Hoeller
See Also:
  `ContextLoaderPlugIn`, `Action.setServlet(org.apache.struts.action.ActionServlet)`

Constructor Summary
`ActionServletAwareProcessor(ActionServlet actionServlet)` Create a new ActionServletAwareProcessor for the given servlet.

Method Summary
`Object` | `postProcessAfterInitialization(Object bean, String beanName)` Apply this BeanPostProcessor to the given new bean instance after any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method).
`void` | `postProcessBeforeDestruction(Object bean, String beanName)` Apply this BeanPostProcessor to the given bean instance before its destruction.
`Object` | `postProcessBeforeInitialization(Object bean, String beanName)` Apply this BeanPostProcessor to the given new bean instance before any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionServletAwareProcessor

    public ActionServletAwareProcessor(ActionServlet actionServlet)

  Create a new ActionServletAwareProcessor for the given servlet.

Method Detail

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean,
                                                  String beanName)

  Description copied from interface: `BeanPostProcessor`
  Apply this BeanPostProcessor to the given new bean instance before any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method). The bean will already be populated with property values. The returned bean instance may be a wrapper around the original.

  Specified by:
    `postProcessBeforeInitialization` in interface `BeanPostProcessor`
  Parameters:
    `bean` - the new bean instance
    `beanName` - the name of the bean
  Returns:
    the bean instance to use, either the original or a wrapped one
  See Also:
    `InitializingBean.afterPropertiesSet()`

### postProcessAfterInitialization

    public Object postProcessAfterInitialization(Object bean,
                                                 String beanName)

  Description copied from interface: `BeanPostProcessor`
  Apply this BeanPostProcessor to the given new bean instance after any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method). The bean will already be populated with property values. The returned bean instance may be a wrapper around the original.

  In case of a FactoryBean, this callback will be invoked for both the FactoryBean instance and the objects created by the FactoryBean (as of Spring 2.0). The post-processor can decide whether to apply to either the FactoryBean or created objects or both through corresponding `bean instanceof FactoryBean` checks.

  This callback will also be invoked after a short-circuiting triggered by a `InstantiationAwareBeanPostProcessor.postProcessBeforeInstantiation(java.lang.Class, java.lang.String)` method, in contrast to all other BeanPostProcessor callbacks.

  Specified by:
    `postProcessAfterInitialization` in interface `BeanPostProcessor`
  Parameters:
    `bean` - the new bean instance
    `beanName` - the name of the bean
  Returns:
    the bean instance to use, either the original or a wrapped one
  See Also:
    `InitializingBean.afterPropertiesSet()`, `FactoryBean`

### postProcessBeforeDestruction

    public void postProcessBeforeDestruction(Object bean,
                                             String beanName)

  Description copied from interface: `DestructionAwareBeanPostProcessor`
  Apply this BeanPostProcessor to the given bean instance before its destruction. Can invoke custom destruction callbacks.

  Like DisposableBean's `destroy` and a custom destroy method, this callback just applies to singleton beans in the factory (including inner beans).

  Specified by:
    `postProcessBeforeDestruction` in interface `DestructionAwareBeanPostProcessor`
  Parameters:
    `bean` - the bean instance to be destroyed
    `beanName` - the name of the bean
  See Also:
    `DisposableBean`, `AbstractBeanDefinition.setDestroyMethodName(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.